polybori::groebner::LessWeightedLengthInStratModified Class Reference

This class defines LessWeightedLengthInStratModified. More...

`#include <LessWeightedLengthInStratModified.h>`

## Public Member Functions

| LessWeightedLengthInStratModified (const ReductionStrategy &strat)
bool | operator() (const Monomial &a, const Monomial &b)
bool | operator() (const Exponent &a, const Exponent &b)

## Public Attributes

const ReductionStrategy * | strat

## Detailed Description

This class defines LessWeightedLengthInStratModified.

Todo:
  : in many cases, indices should be precalculated

## Constructor & Destructor Documentation

polybori::groebner::LessWeightedLengthInStratModified::LessWeightedLengthInStratModified | ( | const ReductionStrategy & | strat | ) |

inline

## Member Function Documentation

bool polybori::groebner::LessWeightedLengthInStratModified::operator() | ( | const Monomial & | a,
|  | const Monomial & | b
| ) |  |

inline

References polybori::groebner::wlen_literal_exceptioned().

bool polybori::groebner::LessWeightedLengthInStratModified::operator() | ( | const Exponent & | a,
|  | const Exponent & | b
| ) |  |

inline

References polybori::groebner::wlen_literal_exceptioned().

## Member Data Documentation

const ReductionStrategy* polybori::groebner::LessWeightedLengthInStratModified::strat

The documentation for this class was generated from the following file:

- LessWeightedLengthInStratModified.h